QUE Cyber Security Advisory – Exploit Remote Desktop Vulnerability (CVE-2019-0708) dubbed BlueKeep.

If you are still using old version of Windows XP, VISTA, 7, Windows Server 2003 and 2008 you need to

Read more